yashar_sb_sb's blog

By yashar_sb_sb, history, 4 years ago, In English

Please help me. I want to be able to participate in SRM 724.

I got this error when trying to launch topcoder arena.

Exception in thread "main" java.lang.UnsupportedClassVersionError: net/sourceforge/jnlp/runtime/Boot : Unsupported major.minor version 52.0
	at java.lang.ClassLoader.findBootstrapClass(Native Method)
	at java.lang.ClassLoader.findBootstrapClassOrNull(ClassLoader.java:1073)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:414)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:412)
	at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:312)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:358)
	at sun.launcher.LauncherHelper.checkAndLoadMain(LauncherHelper.java:482)

I'm running it on Achlinux using icedtea-web

 
 
 
 
  • Vote: I like it
  • +16
  • Vote: I do not like it

»
4 years ago, # |
  Vote: I like it +5 Vote: I do not like it

I'm also running topcoder-arena on Archlinux using icedtea-web and facing exactly the same issue today.

I solved it by changing default java environment into jre8. e.g. archlinux-java set java-8-openjdk/jre. Hope this help you.